# norootforbuild

#ladspa-sdk, cmt: http://www.ladspa.org/download/
%define ladsp_sdk_version    1.12

Name:			ladspa
Summary:		The Linux Audio Developer's Simple Plug-in API
Version:		1.12.20070916
Release:		2.2
License:		GPL
Group:			Development/Libraries/C and C++
Source1:		ladspa_sdk_%{ladsp_sdk_version}.tar.bz2
Patch0:			%{name}.diff
Patch1:			%{name}-sdk-compile-fix.diff
Patch2:			%{name}-sine.cpp.diff
URL:			http://www.ladspa.org/
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:		pkgconfig
BuildRequires:		gcc-c++
Provides:		%{name}-devel

%description
The Linux Audio Developer's Simple Plug-in API (LADSPA) provides
the ability to write simple plug-in audio processors in C/C++ and
link them dynamically.

The package contains the LADSPA SDK and some plugins.

%debug_package

%prep
%setup -q -c -n %{name} -T -a1
%patch0
pushd ladspa_sdk
%patch1
%patch2 -p1
popd

%build
# make a symlink to include directory
ln -sf ladspa_sdk/src include

# LADSPA SDK
pushd ladspa_sdk/src
	%__make CFLAGS="$RPM_OPT_FLAGS -fPIC -DPIC -I." targets
popd

%install
# create some paths ...
%__install -dm 755 %{buildroot}%{_bindir}
%__install -dm 755 %{buildroot}%{_datadir}/%{name}
%__install -dm 755 %{buildroot}%{_docdir}/%{name}

############
# LADSPA SDK
############
cd ladspa_sdk/src
%__make install \
	INSTALL_PLUGINS_DIR=%{buildroot}%{_libdir}/%{name} \
	INSTALL_INCLUDE_DIR=%{buildroot}%{_includedir} \
	INSTALL_BINARY_DIR=%{buildroot}%{_bindir}
cd ../..

# install documents
%__install -dm 755 %{buildroot}%{_docdir}/%{name}/ladspa_sdk
%__install -m 644 ladspa_sdk/README \
	%{buildroot}%{_docdir}/%{name}/ladspa_sdk
%__install -m 644 ladspa_sdk/doc/* \
	%{buildroot}%{_docdir}/%{name}/ladspa_sdk
%__install -m 644 ladspa_sdk/snd/* \
	%{buildroot}%{_docdir}/%{name}/ladspa_sdk

# fix the location
ln -sf %{_includedir}/%{name}.h  %{buildroot}%{_docdir}/%{name}/ladspa_sdk/%{name}.h.txt

# /etc/profile.d/ladspa.sh
# set LADSPA_PATH=/usr/lib(64)/ladspa
%__install -dm 755 %{buildroot}%{_sysconfdir}/profile.d
echo "export LADSPA_PATH=%{_libdir}/ladspa" > %{buildroot}%{_sysconfdir}/profile.d/%{name}.sh
echo "setenv LADSPA_PATH %{_libdir}/ladspa" > %{buildroot}%{_sysconfdir}/profile.d/%{name}.csh

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc %{_docdir}/%{name}
%{_bindir}/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}
%{_includedir}/*
%{_sysconfdir}/profile.d/%{name}.sh
%{_sysconfdir}/profile.d/%{name}.csh

%changelog
* Sun Aug 17 2008 Carsten Schoene <cs@linux-administrator.com> 1.12-2
- initial SLE_10 build import
